# Funds

A Fund is a representation of an investment vehicle. It contains the details of the legal entity, as well as information regarding the Fund offering.

This is a description of the Fund object:

<table><thead><tr><th width="244">Field</th><th width="111" align="center">Data Type</th><th width="433">Description</th></tr></thead><tbody><tr><td><code>id</code></td><td align="center">UUID</td><td>This is the Fund's Flow ID.</td></tr><tr><td><code>bank.account_name</code></td><td align="center">String</td><td>The Fund's bank account name.</td></tr><tr><td><code>bank.account_number</code></td><td align="center">String</td><td>The Fund's bank account number.</td></tr><tr><td><code>bank.additional_instructions</code></td><td align="center">String</td><td>Any additional instructions related to wiring into the Fund.</td></tr><tr><td><code>bank.name</code></td><td align="center">String</td><td>The name of the Fund's bank.</td></tr><tr><td><code>bank.routing_number</code></td><td align="center">String</td><td>The routing number/ABA for the Fund's bank account.</td></tr><tr><td><code>bank.swift_code</code></td><td align="center">String</td><td>The SWIFT code for the Fund's bank account.</td></tr><tr><td><code>calculation_method</code></td><td align="center">String</td><td>The capital call method used by the Fund. Contribution = the Fund will only call investors’ commitment amounts. Gross = the Fund will call investors’ commitment amounts plus their management fees. Investment = the Fund will call investors’ commitment amounts, management fees, and pro rata portion of the Fund’s expense reserve.</td></tr><tr><td><code>capital_due_date</code></td><td align="center">String</td><td>The date that capital is due from investors.</td></tr><tr><td><code>carry_percent</code></td><td align="center">String</td><td>The percent of carry charged by the Fund.</td></tr><tr><td><code>created_at</code></td><td align="center">String</td><td>When this Fund was created.</td></tr><tr><td><code>deal_description</code></td><td align="center">String</td><td>Any additional information regarding the Fund that will be shared with investors.</td></tr><tr><td><code>expense_reserve</code></td><td align="center">String</td><td>The amount reserved by the Fund to cover Fund expenses.</td></tr><tr><td><code>investor_count</code></td><td align="center">Integer</td><td>Total amount of investors invited to this Fund.</td></tr><tr><td><code>legal_entity.display_name</code></td><td align="center">String</td><td>Display name for the fund.</td></tr><tr><td><code>legal_entity.legal_name</code></td><td align="center">String</td><td>Legal entity name for this Fund.</td></tr><tr><td><code>legal_entity.formation_date</code></td><td align="center">String</td><td>The date on which the Fund was legally formed.</td></tr><tr><td><code>legal_entity.formation_state</code></td><td align="center">String</td><td>The state in which the Fund was formed.</td></tr><tr><td><code>legal_entity.tax_id</code></td><td align="center">String</td><td>The Fund's tax ID.</td></tr><tr><td><code>legal_entity.tax_id_type</code></td><td align="center">String</td><td>The tax ID type (e.g. EIN).</td></tr><tr><td><code>legal_entity.type</code></td><td align="center">String</td><td>The legal structure of the entity (e.g. LLC, partnership, corporation).</td></tr><tr><td><code>management_fee_percent</code></td><td align="center">Integer</td><td>The percentage of management fee charged by the Fund.</td></tr><tr><td><code>minimum_investment</code></td><td align="center">String</td><td>Minimum investment amount per investor for the Fund.</td></tr><tr><td><code>organization_name</code></td><td align="center">String</td><td>This name of the organization under which the Fund is stored in Flow.</td></tr><tr><td><code>portfolio_company_legal_name</code></td><td align="center">String</td><td>The full legal name of the company that the Fund is investing in (for single asset Funds).</td></tr><tr><td><code>round_type</code></td><td align="center">String</td><td>The portfolio company round being invested in (e.g. Seed, Series A, etc.).</td></tr><tr><td><code>security_type</code></td><td align="center">String</td><td>The security type being purchased by the Fund (e.g. Stock, Convertible Note, etc.).</td></tr><tr><td><code>sign_by_date</code></td><td align="center">String</td><td>The date by which investors are asked to complete signing of their subscription documents.</td></tr><tr><td><code>target_size</code></td><td align="center">String</td><td>The target size for the Fund.</td></tr><tr><td><code>total_contributed</code></td><td align="center">String</td><td>How much money has been contributed by investors to the Fund.</td></tr><tr><td><code>total_commitments</code></td><td align="center">String</td><td>Total investor commitments in the Fund.</td></tr><tr><td><code>total_received</code></td><td align="center">String</td><td>The total amount of investor money received by the Fund.</td></tr></tbody></table>

## Get All Funds&#x20;

## Get All Funds associated to your token.

<mark style="color:blue;">`GET`</mark> `https://api.flowinc.app/customerapi/funds`

This endpoint retrieves all Funds you have access to.

{% tabs %}
{% tab title="200 " %}

```javascript
[
    {
        "id": "843703d4-ff7b-4f52-816e-e79ceee1c1c8",
        "bank": {
            "account_name": "Jack Hill",
            "account_number": "08604847",
            "additional_instructions": "Instructions.",
            "name": "Bank Name",
            "routing_number": "147299826",
            "swift_code": "AAAABB11222"
        },
        "calculation_method": "contribution",
        "capital_due_date": "2021-09-24T21:46:45.271Z",
        "carry_percent": "2.0",
        "created_at": "2022-07-12T23:51:44.777Z",
        "deal_description": "Description.",
        "expense_reserve": "0.0",
        "legal_entity": {
            "display_name": "Partnership, LP",
            "formation_date": "2022-07-12T23:51:44.777Z",
            "formation_state": "2022-07-12T23:51:44.777Z",
            "legal_name": "Partnership, LP",
            "tax_id": "555-55-5555",
            "tax_id_type": "ssn",
            "type": "Limited partnership"
        },
        "investor_count": 0,
        "management_fee_percent": "2.0",
        "minimum_investment": "0.0",
        "organization_name": "Organization Name",
        "portfolio_company_legal_name": "Company Name, LLC",
        "round_type": "Seed",
        "security_type": "preferred",
        "sign_by_date": "2022-07-12T23:51:44.777Z",
        "target_size": "0.0",
        "total_commitments": "0.0",
        "total_contributed": "0.0",
        "total_received": "0.0"
    },
    [...]
]
```

{% endtab %}

{% tab title="401: Unauthorized " %}

```javascript
{
    "error": "Bad token"
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="curl" %}

```shell
curl "https://api.flowinc.app/customerapi/funds" \
  -H "Authorization: bearer YOUR_JWT"
```

{% endtab %}

{% tab title="Ruby" %}

```ruby
require 'json'
require 'net/http'

uri = URI('https://api.flowinc.app/customerapi/funds')
params = Net::HTTP::Get.new(uri)
jwt = 'YOUR_JWT'
params['Authorization'] = "Bearer #{jwt}"

response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) { |http| http.request(params) }
puts JSON.parse(response.body)

```

{% endtab %}

{% tab title="Js" %}

```javascript
const url = 'https://api.flowinc.app/customerapi/funds'

fetch(url, {
    method: "GET",
    headers: {
      "Authorization": `Bearer ${YOUR_JWT}`,
      "Content-Type": "application/json"
    }
})
.then(response => {
    return response.json();
})
```

{% endtab %}
{% endtabs %}

{% hint style="success" %}
**Good to know:** Remember your Fund numbers will change along with investor data.
{% endhint %}

## **Get Single Fund**

## Get a single Fund from your token.

<mark style="color:blue;">`GET`</mark> `https://api.flowinc.app/customerapi/funds/FUND_ID`

This endpoint retrieves a single Fund you have access to.

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "id": "843703d4-ff7b-4f52-816e-e79ceee1c1c8",
    "bank": {
        "account_name": "Jack Hill",
        "account_number": "08604847",
        "additional_instructions": "Instructions.",
        "name": "Bank Name",
        "routing_number": "147299826",
        "swift_code": "AAAABB11222"
    },
    "calculation_method": "contribution",
    "capital_due_date": "2021-09-24T21:46:45.271Z",
    "carry_percent": "2.0",
    "created_at": "2022-07-12T23:51:44.777Z",
    "deal_description": "Description.",
    "expense_reserve": "0.0",
    "legal_entity": {
        "display_name": "Partnership, LP",
        "formation_date": "2022-07-12T23:51:44.777Z",
        "formation_state": "2022-07-12T23:51:44.777Z",
        "legal_name": "Partnership, LP",
        "tax_id": "555-55-5555",
        "tax_id_type": "ssn",
        "type": "Limited partnership"
    },
    "investor_count": 0,
    "management_fee_percent": "2.0",
    "minimum_investment": "0.0",
    "organization_name": "Organization Name",
    "portfolio_company_legal_name": "Company Name, LLC",
    "round_type": "Seed",
    "security_type": "preferred",
    "sign_by_date": "2022-07-12T23:51:44.777Z",
    "target_size": "0.0",
    "total_commitments": "0.0",
    "total_contributed": "0.0",
    "total_received": "0.0"
}
```

{% endtab %}

{% tab title="401: Unauthorized " %}

```javascript
{
    "error": "Bad token"
}
```

{% endtab %}

{% tab title="404: Not Found " %}

```javascript
{
    "error": "Fund not available"
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
You must replace `FUND_ID` with the Fund's ID you're trying to access.
{% endhint %}

{% tabs %}
{% tab title="curl" %}

```shell
curl "https://api.flowinc.app/customerapi/funds/FUND_ID" \
  -H "Authorization: bearer YOUR_JWT"
```

{% endtab %}

{% tab title="Ruby" %}

```ruby
require 'json'
require 'net/http'

uri = URI('https://api.flowinc.app/customerapi/funds/FUND_ID')
params = Net::HTTP::Get.new(uri)
jwt = 'YOUR_JWT'
params['Authorization'] = "Bearer #{jwt}"

response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) { |http| http.request(params) }
puts JSON.parse(response.body)

```

{% endtab %}

{% tab title="Js" %}

```javascript
const url = 'https://api.flowinc.app/customerapi/funds/FUND_ID'

fetch(url, {
    method: "GET",
    headers: {
      "Authorization": `Bearer ${YOUR_JWT}`,
      "Content-Type": "application/json"
    }
})
.then(response => {
    return response.json();
})
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.flowinc.com/api-reference/funds.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
